import request from '@/utils/request'

// 查询工作动态列表
export function listGzdt(query) {
  return request({
    url: '/tcZz/netManage/gzdt/list',
    method: 'get',
    params: query
  })
}

// 查询工作动态详细
export function getGzdt(id) {
  return request({
    url: '/tcZz/netManage/gzdt/' + id,
    method: 'get'
  })
}

// 新增工作动态
export function addGzdt(data) {
  return request({
    url: '/tcZz/netManage/gzdt',
    method: 'post',
    data: data
  })
}

// 修改工作动态
export function updateGzdt(data) {
  return request({
    url: '/tcZz/netManage/gzdt',
    method: 'put',
    data: data
  })
}

// 删除工作动态
export function delGzdt(id) {
  return request({
    url: '/tcZz/netManage/gzdt/' + id,
    method: 'delete'
  })
}
