import request from '@/utils/request'

// 查询微博列表
export function listWb(query) {
  return request({
    url: '/tcZz/netManage/wb/list',
    method: 'get',
    params: query
  })
}

// 查询微博详细
export function getWb(id) {
  return request({
    url: '/tcZz/netManage/wb/' + id,
    method: 'get'
  })
}

// 新增微博
export function addWb(data) {
  return request({
    url: '/tcZz/netManage/wb',
    method: 'post',
    data: data
  })
}

// 修改微博
export function updateWb(data) {
  return request({
    url: '/tcZz/netManage/wb',
    method: 'put',
    data: data
  })
}

// 删除微博
export function delWb(id) {
  return request({
    url: '/tcZz/netManage/wb/' + id,
    method: 'delete'
  })
}
